eslint-shell: Override ecmaVersion to 2018

Since we use spread operation in shell code, make it to be supported bumping
the ecmaVersion.

GNOME/gnome-shell!559
6 jobs for !559 with this.actor-removal in 13 minutes and 58 seconds (queued for 2 seconds)
detached
Status Job ID Name Coverage
  Review
passed #389341
check_commit_log

00:00:36

passed #389343
eslint

00:02:28

passed #389342
js_check

00:01:07

 
  Build
passed #389344
build

00:09:26

 
  Test
passed #389345
test

00:02:01

passed #389346
test-pot

00:02:01